Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.activity.shared
Class CachingActivityMapper

    java.lang.Object
      com.google.gwt.activity.shared.CachingActivityMapper

All Implemented Interfaces:
  ActivityMapper

    public class CachingActivityMapper

extends java.lang.Object
implements ActivityMapper

Wraps another `ActivityMapper` and caches the last activity it returned, to be re-used if we see the same place twice.

Constructor Summary
`CachingActivityMapper(ActivityMapper wrapped)` Constructs a CachingActivityMapper object.

Method Summary
`Activity` | `getActivity(Place place)` Returns the activity to run for the given `Place`, or null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingActivityMapper

    public CachingActivityMapper(ActivityMapper wrapped)

  Constructs a CachingActivityMapper object.

  Parameters:
    `wrapped` - an ActivityMapper object

Method Detail

### getActivity

    public Activity getActivity(Place place)

  Description copied from interface: `ActivityMapper`
  Returns the activity to run for the given `Place`, or null.

  Specified by:
    `getActivity` in interface `ActivityMapper`
  Parameters:
    `place` - a Place object

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD